Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/AlgorithmOperator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Assigner.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Assigner.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Assigner.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/CombinedOperator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Comparator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Comparator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Comparator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ConditionalBranch.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/DataReducer.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/DataReducer.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/DataReducer.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/DoubleCounter.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/EmptyOperator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/InstrumentedOperator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/InstrumentedOperator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/InstrumentedOperator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -61,5 +61,7 @@
       Parameters.Add(new FixedValueParameter<OperatorList>(AfterExecutionOperatorsParameterName, "Actions that are executed after the execution of the operator", new OperatorList()));
       BeforeExecutionOperatorsParameter.Hidden = true;
+      BeforeExecutionOperatorsParameter.GetsCollected = false;
       AfterExecutionOperatorsParameter.Hidden = true;
+      AfterExecutionOperatorsParameter.GetsCollected = false;
     }
 
@@ -77,4 +79,18 @@
       }
       #endregion
+    }
+
+    protected override IEnumerable<KeyValuePair<string, IItem>> GetCollectedValues(IValueParameter param) {
+      foreach (var b in base.GetCollectedValues(param)) yield return b;
+      if (param != BeforeExecutionOperatorsParameter && param != AfterExecutionOperatorsParameter) yield break;
+      var operatorList = (OperatorList)param.Value;
+      var counter = 0;
+      foreach (var op in operatorList) {
+        yield return new KeyValuePair<string, IItem>(counter.ToString(), op);
+        var children = new Dictionary<string, IItem>();
+        op.CollectParameterValues(children);
+        foreach (var c in children) yield return new KeyValuePair<string, IItem>(counter + "." + c.Key, c.Value);
+        counter++;
+      }
     }
 
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/IntCounter.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/LocalRandomCreator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/LocalRandomCreator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/LocalRandomCreator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/MultiOperator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,4 +22,5 @@
 using System;
 using System.Collections.Generic;
+using System.Linq;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
@@ -52,4 +53,6 @@
       }
     }
+    
+    IEnumerable<IOperator> IMultiOperator.Operators { get { return operators.AsEnumerable(); } }
 
     [StorableConstructor]
@@ -69,4 +72,17 @@
     private void AfterDeserialization() {
       Initialize();
+    }
+
+    public virtual bool AddOperator(IOperator op) {
+      var tOp = op as T;
+      if (tOp == null) return false;
+      operators.Add(tOp);
+      return true;
+    }
+
+    public virtual bool RemoveOperator(IOperator op) {
+      var tOp = op as T;
+      if (tOp == null) return false;
+      return operators.Remove(tOp);
     }
 
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs	(revision 15973)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Operator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Operator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Operator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Placeholder.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Plugin.cs.frame
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Plugin.cs.frame	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Plugin.cs.frame	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Operators plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Operators", "3.3.13.$WCREV$")]
+  [Plugin("HeuristicLab.Operators", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Operators-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Properties/AssemblyInfo.cs.frame	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/Properties/AssemblyInfo.cs.frame	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.13.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ReductionOperation.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ScopeCleaner.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/StochasticBranch.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCloner.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCloner.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCloner.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCounter.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCounter.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCounter.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCreator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesMixer.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesMixer.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesMixer.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesProcessor.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesProcessor.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesProcessor.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesRemover.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 15973)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesSorter.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ValuesCollector.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/VariableCreator.cs
===================================================================
--- branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 15651)
+++ branches/2522_RefactorPluginInfrastructure/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 15973)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
